CC-3312: Upgrade scripts for 2.0.1

-Done
This commit is contained in:
Martin Konecny 2012-02-09 16:22:59 -05:00
parent a4a41f301f
commit 1dd49b8a11
3 changed files with 27 additions and 2 deletions

View File

@ -52,7 +52,7 @@ apt-get -y --force-yes install libmp3lame-dev lame icecast2
if [ "$dist" = "Debian" ]; then
apt-get -y install zendframework
else
apt-get -y install zend-framework
apt-get -y install libzend-framework-php
fi

View File

@ -54,7 +54,7 @@ apt-get -y --force-yes install libmp3lame-dev lame icecast2
if [ "$dist" = "Debian" ]; then
apt-get -y install zendframework
else
apt-get -y install zend-framework
apt-get -y install libzend-framework-php
fi

View File

@ -78,6 +78,31 @@ SCRIPT=`readlink -f $0`
SCRIPTPATH=`dirname $SCRIPT`
AIRTIMEROOT=$SCRIPTPATH/../
#Check if required zend mvc and php-db libraries are present. This is a temporary workaround for 2.0.1,
#and we should probably create a seperate file that checks whether ALL dependencies are satisfied before
#allowing the install to continue. However in that case, we wouldn't check for Debian packages so that we
#can become less Debian platform dependent in the future...
set +e
dpkg -l | grep php-db > /dev/null 2>&1
PHP_DB=$?
dpkg -l | grep zendframework > /dev/null 2>&1
ZENDFRAMEWORK=$?
dpkg -l | grep libzend-framework-php > /dev/null 2>&1
LIBZEND=$?
set -e
if [ "$PHP_DB" != "0" ]; then
echo "php-db package missing. Please run airtime-full-install"
exit 1
fi
if [ "$ZENDFRAMEWORK" != "0" -a "$LIBZEND" != "0" ]; then
echo "zendframework/libzend-framework-php package missing. Please run airtime-full-install"
exit 1
fi
# Check if airtime exists already
set +e
php --php-ini ${SCRIPTPATH}/airtime-php.ini ${SCRIPTPATH}/include/airtime-installed-check.php